<template lang="pug">
  .api-error(v-bind:class="{ shown: apiError, hidden: !apiError}")
    .text
      span {{ apiError }} Try again or&nbsp;
      span.refresh-link(v-on:click="reloadPage()") refresh.
</template>

<script>
import { mapState } from 'vuex'

export default {
  name: 'ApiError',
  computed: {
    ...mapState({
      apiError: state => state.editor.errors.api
    })
  },
  methods: {
    reloadPage () {
      location.reload()
    }
  }
}
</script>

<style lang="scss" scoped>
  @import '../../assets/css/mixins';

  .api-error {
    width: 100%;
    position: absolute;
    z-index: 100;
    background-color: #FF3A3A;
    height: 48px;
    display: flex;
    align-items: center;
    justify-content: center;

    .text {
      font-size: 16px;
      color: #fff;

      .refresh-link {
        font-weight: bold;
        text-decoration: underline;
        cursor: pointer;
      }
    }

    &.shown {
      bottom: 0;
      opacity: 1;
      @include delay()
    }

    &.hidden {
      bottom: -48px;
      opacity: 0;
      @include delay()
    }
  }
</style>
